Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl
Class XMLEntityManager.ScannedEntity

    java.lang.Object
      weblogic.apache.xerces.impl.XMLEntityManager.Entity
          weblogic.apache.xerces.impl.XMLEntityManager.ScannedEntity

Enclosing class:
  XMLEntityManager

    protected class XMLEntityManager.ScannedEntity

extends XMLEntityManager.Entity

Entity state.

Field Summary
`char[]` | `ch` Character buffer.
`int` | `columnNumber` Column number.
`int` | `count` Count of characters in buffer.
`String` | `encoding` Auto-detected encoding.
`XMLResourceIdentifier` | `entityLocation` entity location information
`boolean` | `isExternal`
`int` | `lineNumber` Line number.
`boolean` | `literal` True if in a literal.
`boolean` | `mayReadChunks`
`int` | `position` Position in character buffer.
`Reader` | `reader` Reader.
`InputStream` | `stream` Input stream.

Fields inherited from class weblogic.apache.xerces.impl.XMLEntityManager.Entity
`name`

Constructor Summary
`XMLEntityManager.ScannedEntity(String name, XMLResourceIdentifier entityLocation, InputStream stream, Reader reader, String encoding, boolean literal, boolean mayReadChunks, boolean isExternal)` Constructs a scanned entity.

Method Summary
`boolean` | `isExternal()` Returns true if this is an external entity.
`boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class weblogic.apache.xerces.impl.XMLEntityManager.Entity
`clear, setValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stream

    public InputStream stream

  Input stream.

### reader

    public Reader reader

  Reader.

### entityLocation

    public XMLResourceIdentifier entityLocation

  entity location information

### lineNumber

    public int lineNumber

  Line number.

### columnNumber

    public int columnNumber

  Column number.

### encoding

    public String encoding

  Auto-detected encoding.

### literal

    public boolean literal

  True if in a literal.

### isExternal

    public boolean isExternal

### ch

    public char[] ch

  Character buffer.

### position

    public int position

  Position in character buffer.

### count

    public int count

  Count of characters in buffer.

### mayReadChunks

    public boolean mayReadChunks

Constructor Detail

### XMLEntityManager.ScannedEntity

    public XMLEntityManager.ScannedEntity(String name,
                                          XMLResourceIdentifier entityLocation,
                                          InputStream stream,
                                          Reader reader,
                                          String encoding,
                                          boolean literal,
                                          boolean mayReadChunks,
                                          boolean isExternal)

  Constructs a scanned entity.

Method Detail

### isExternal

    public final boolean isExternal()

  Returns true if this is an external entity.

  Specified by:
    `isExternal` in class `XMLEntityManager.Entity`

### isUnparsed

    public final boolean isUnparsed()

  Returns true if this is an unparsed entity.

  Specified by:
    `isUnparsed` in class `XMLEntityManager.Entity`

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD